### Hierarchy

- unknown
  - PaymentAccountFormField

## Index

### Constructors

- constructor

### Methods

- addRequiredForCountries
- addSupportedCountries
- addSupportedCurrencies
- addSupportedSepaEuroCountries
- addSupportedSepaNonEuroCountries
- clearRequiredForCountriesList
- clearSupportedCountriesList
- clearSupportedCurrenciesList
- clearSupportedSepaEuroCountriesList
- clearSupportedSepaNonEuroCountriesList
- getComponent
- getId
- getLabel
- getMaxlength
- getMinlength
- getRequiredForCountriesList
- getSupportedCountriesList
- getSupportedCurrenciesList
- getSupportedSepaEuroCountriesList
- getSupportedSepaNonEuroCountriesList
- getType
- getValue
- serializeBinary
- setComponent
- setId
- setLabel
- setMaxlength
- setMinlength
- setRequiredForCountriesList
- setSupportedCountriesList
- setSupportedCurrenciesList
- setSupportedSepaEuroCountriesList
- setSupportedSepaNonEuroCountriesList
- setType
- setValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccountFormField(): PaymentAccountFormField

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccountFormField

## Methods

### addRequiredForCountries

- addRequiredForCountries(value: string, index?: number): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8313

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns PaymentAccountFormField

### addSupportedCountries

- addSupportedCountries(value?: Country, index?: number): Country

- - Defined in src/protobuf/pb_pb.d.ts:8298

  #### Parameters

  - ##### Optional value: Country

  - ##### Optional index: number

  #### Returns Country

### addSupportedCurrencies

- addSupportedCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8293

  #### Parameters

  - ##### Optional value: TradeCurrency

  - ##### Optional index: number

  #### Returns TradeCurrency

### addSupportedSepaEuroCountries

- addSupportedSepaEuroCountries(value?: Country, index?: number): Country

- - Defined in src/protobuf/pb_pb.d.ts:8303

  #### Parameters

  - ##### Optional value: Country

  - ##### Optional index: number

  #### Returns Country

### addSupportedSepaNonEuroCountries

- addSupportedSepaNonEuroCountries(value?: Country, index?: number): Country

- - Defined in src/protobuf/pb_pb.d.ts:8308

  #### Parameters

  - ##### Optional value: Country

  - ##### Optional index: number

  #### Returns Country

### clearRequiredForCountriesList

- clearRequiredForCountriesList(): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8312

  #### Returns PaymentAccountFormField

### clearSupportedCountriesList

- clearSupportedCountriesList(): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8297

  #### Returns PaymentAccountFormField

### clearSupportedCurrenciesList

- clearSupportedCurrenciesList(): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8292

  #### Returns PaymentAccountFormField

### clearSupportedSepaEuroCountriesList

- clearSupportedSepaEuroCountriesList(): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8302

  #### Returns PaymentAccountFormField

### clearSupportedSepaNonEuroCountriesList

- clearSupportedSepaNonEuroCountriesList(): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8307

  #### Returns PaymentAccountFormField

### getComponent

- getComponent(): Component

- - Defined in src/protobuf/pb_pb.d.ts:8272

  #### Returns Component

### getId

- getId(): FieldId

- - Defined in src/protobuf/pb_pb.d.ts:8269

  #### Returns FieldId

### getLabel

- getLabel(): string

- - Defined in src/protobuf/pb_pb.d.ts:8278

  #### Returns string

### getMaxlength

- getMaxlength(): number

- - Defined in src/protobuf/pb_pb.d.ts:8287

  #### Returns number

### getMinlength

- getMinlength(): number

- - Defined in src/protobuf/pb_pb.d.ts:8284

  #### Returns number

### getRequiredForCountriesList

- getRequiredForCountriesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:8310

  #### Returns string[]

### getSupportedCountriesList

- getSupportedCountriesList(): Country []

- - Defined in src/protobuf/pb_pb.d.ts:8295

  #### Returns Country []

### getSupportedCurrenciesList

- getSupportedCurrenciesList(): TradeCurrency []

- - Defined in src/protobuf/pb_pb.d.ts:8290

  #### Returns TradeCurrency []

### getSupportedSepaEuroCountriesList

- getSupportedSepaEuroCountriesList(): Country []

- - Defined in src/protobuf/pb_pb.d.ts:8300

  #### Returns Country []

### getSupportedSepaNonEuroCountriesList

- getSupportedSepaNonEuroCountriesList(): Country []

- - Defined in src/protobuf/pb_pb.d.ts:8305

  #### Returns Country []

### getType

- getType(): string

- - Defined in src/protobuf/pb_pb.d.ts:8275

  #### Returns string

### getValue

- getValue(): string

- - Defined in src/protobuf/pb_pb.d.ts:8281

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8315

  #### Returns Uint8Array

### setComponent

- setComponent(value: Component ): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8273

  #### Parameters

  - ##### value: Component

  #### Returns PaymentAccountFormField

### setId

- setId(value: FieldId ): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8270

  #### Parameters

  - ##### value: FieldId

  #### Returns PaymentAccountFormField

### setLabel

- setLabel(value: string): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8279

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

### setMaxlength

- setMaxlength(value: number): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8288

  #### Parameters

  - ##### value: number

  #### Returns PaymentAccountFormField

### setMinlength

- setMinlength(value: number): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8285

  #### Parameters

  - ##### value: number

  #### Returns PaymentAccountFormField

### setRequiredForCountriesList

- setRequiredForCountriesList(value: string[]): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8311

  #### Parameters

  - ##### value: string[]

  #### Returns PaymentAccountFormField

### setSupportedCountriesList

- setSupportedCountriesList(value: Country []): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8296

  #### Parameters

  - ##### value: Country []

  #### Returns PaymentAccountFormField

### setSupportedCurrenciesList

- setSupportedCurrenciesList(value: TradeCurrency []): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8291

  #### Parameters

  - ##### value: TradeCurrency []

  #### Returns PaymentAccountFormField

### setSupportedSepaEuroCountriesList

- setSupportedSepaEuroCountriesList(value: Country []): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8301

  #### Parameters

  - ##### value: Country []

  #### Returns PaymentAccountFormField

### setSupportedSepaNonEuroCountriesList

- setSupportedSepaNonEuroCountriesList(value: Country []): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8306

  #### Parameters

  - ##### value: Country []

  #### Returns PaymentAccountFormField

### setType

- setType(value: string): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8276

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

### setValue

- setValue(value: string): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8282

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

### toObject

- toObject(includeInstance?: boolean): PaymentAccountFormField . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8316

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccountFormField . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8319

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountFormField

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountFormField, reader: BinaryReader): PaymentAccountFormField

- - Defined in src/protobuf/pb_pb.d.ts:8320

  #### Parameters

  - ##### message: PaymentAccountFormField

  - ##### reader: BinaryReader

  #### Returns PaymentAccountFormField

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountFormField, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8318

  #### Parameters

  - ##### message: PaymentAccountFormField

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccountFormField ): PaymentAccountFormField . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8317

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountFormField

  #### Returns PaymentAccountFormField . AsObject

Generated using TypeDoc